stages: 
  - build

build:
  image: docker:18.09.7
  services:
    - docker:18.09.7-dind
  stage: build
  script: 
    - echo "Heroku user"
    - echo $HEROKU_USER
    - echo "Heroku API key"
    - echo $HEROKU_PASSWORD
    - docker login -u $HEROKU_USER -p $HEROKU_PASSWORD registry.heroku.com
    - docker build -t registry.heroku.com/softengtest/web .
    - docker push registry.heroku.com/softengtest/web
    - docker run --rm -e HEROKU_API_KEY=$HEROKU_PASSWORD wingrunr21/alpine-heroku-cli container:release web --app softengtest
